/***************************************************************************
                          mynewlabydialog.cpp  -  description
                             -------------------
    begin                : Wed Jun 20 2001
    copyright            : (C) 2001 by Ruediger Knoerig
    email                : ruediger@knoerig.de
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#include <qlabel.h>
#include <qpushbutton.h>
#include <qhgroupbox.h>
#include "mynewlabydialog.h"


MyNewLabyDialog::MyNewLabyDialog(QWidget *parent, const char *name ) : QDialog(parent,name,true)
{
	setCaption("generate a new labyrinth!");
	
	buttonlayout = new QHBoxLayout(5,"buttonlayout");
	okbutton = new QPushButton("Ok",this,"okbutton");
	okbutton->setAccel(Key_Return);
	cancelbutton = new QPushButton("Cancel",this,"cancelbutton");
	cancelbutton->setAccel(Key_Escape);
	buttonlayout->addWidget(okbutton,0,Qt::AlignLeft | Qt::AlignBottom);
	buttonlayout->addWidget(cancelbutton,0,Qt::AlignRight | Qt::AlignBottom);
	
	dimensiongroupbox = new QHGroupBox("dimension settings",this);
	dimensiongroupbox->setSizePolicy(QSizePolicy(QSizePolicy::MinimumExpanding,QSizePolicy::Fixed));
	new QLabel("width ",dimensiongroupbox);
	dimensiongroupbox->addSpace(0);
	widthspinbox = new QSpinBox(minwidth,maxwidth,1,dimensiongroupbox);
	widthspinbox->setValue(defwidth);
	widthspinbox->setSizePolicy(QSizePolicy(QSizePolicy::MinimumExpanding,QSizePolicy::Fixed));
	dimensiongroupbox->addSpace(0);
	new QLabel(" x height  ",dimensiongroupbox);
	dimensiongroupbox->addSpace(0);
	heightspinbox = new QSpinBox(minheight,maxheight,1,dimensiongroupbox);
	heightspinbox->setValue(defheight);
	
	mainlayout = new QVBoxLayout(this,5,5,"mainlayout");
	mainlayout->addWidget(new QLabel("Labyrinth settings",this),0,Qt::AlignCenter | Qt::AlignTop);
	mainlayout->addWidget(dimensiongroupbox,1,Qt::AlignLeft);
	mainlayout->addLayout(buttonlayout);
	
	QObject::connect(cancelbutton,SIGNAL(clicked()),this,SLOT(reject()));
	QObject::connect(okbutton,SIGNAL(clicked()),this,SLOT(accept()));
}

MyNewLabyDialog::~MyNewLabyDialog()
{
	
}
